import { Repository } from '../../infrastructure/repositories/repository';
import { ProfileSummaryResponse } from '../../domain/models/profiles/ProfileSummaryResponse.interface';
import { JobResponse } from '../../domain/models/profiles/JobResponse.interface';
import { Response } from '../../domain/models/Response.interface';
export declare class ProfileRepository extends Repository {
    constructor();
    getProfileSummary(): Promise<ProfileSummaryResponse>;
    deleteProfile(idTaskSelected: String): Promise<Response>;
    submitJob(idTaskSelected: String): Promise<JobResponse>;
}
